# OSGeo::FDO::Common::Xml::XmlAttributeCollection Class Reference
[OSGeo::FDO::Common::Xml]

Inheritance diagram for OSGeo::FDO::Common::Xml::XmlAttributeCollection:

[legend]

List of all members.

## Detailed Description

The XmlAttributeCollection class represents a collection of XmlAttribute objects.

()

## Public Member Functions
System::Int32 | Add (XmlAttribute *value)
| Adds a XmlAttribute object into the collection.
System::Void | Clear ()
| Removes all elements from the collection.
System::Boolean | Contains (String *name)
| Determines whether the collection contains a specific XmlAttribute object.
System::Boolean | Contains (XmlAttribute *value)
| Determines whether the collection contains a specific XmlAttribute object.
System::Void | CopyTo (XmlAttribute *array[], System::Int32 index)
| Copies the elements of the collection to an array.
__property System::Int32 | get_Count (System::Void)
| Gets the count of items in collection.
__property XmlAttribute * | get_Item (System::Int32 index)
| Gets an XmlAttribute in the collection.
__property XmlAttribute * | get_RealTypeItem (System::Int32 index)
| Gets an XmlAttribute in the collection.
__sealed System::Collections::IEnumerator * | GetEnumerator (System::Void)
| Gets an enumerator that can iterate through a collection.
System::Int32 | IndexOf (String *name)
| Determines the index of a specific XmlAttribute object.
System::Int32 | IndexOf (XmlAttribute *value)
| Determines the index of a specific XmlAttribute object.
System::Void | Insert (System::Int32 index, XmlAttribute *value)
| Inserts a XmlAttribute object into the collection at the specified position.
System::Void | Remove (XmlAttribute *value)
| Removes the first occurrence of a specific XmlAttribute object.
System::Void | RemoveAt (System::Int32 index)
| Removes the index-th XmlAttribute from this collection.
__property System::Void | set_Item (System::Int32 index, XmlAttribute *value)
| Sets an XmlAttribute in the collection.
__property System::Void | set_RealTypeItem (System::Int32 index, XmlAttribute *value)
| Sets an XmlAttribute in the collection.
| XmlAttributeCollection (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a collection based on an unmanaged instance of the object.
| XmlAttributeCollection ()
| Constructs a new empty attribute collection.